
Auto Multiple Choice - Feature # 50: add 'hidden' check box with open short open questions on 
separate answer sheet

Status: Closed Priority: Normal
Author: Pieter  Van den Hombergh Category:
Created: 04/13/2012 Assignee:
Updated: 05/10/2012 Due date:
Description: Some times you want to add a few open questions with short answers to your exam.

It is possible to randomize these questions just like the multiple choice questions, however this randomization 
makes the correction, to be done manual a nuisance. 

It would be a great help if there were a way to have some kind of hidden tick-box in the separate answer 
sheet, one that is not printed (maybe printed white) that you could use in manual scoring.
The current manual correction guy could then be used to score such answers to and nicely integrate it into the 
standard workflow.

History
04/14/2012 09:47 pm - Alexis Bienvenüe
- Tracker changed from Bug to Feature

04/21/2012 04:13 pm - Alexis Bienvenüe
- Target version set to 1.1.0

- Status changed from New to In Progress

> hidden tick-box in the separate answer sheet

Maybe not hidden but with some text to say the students not to tick anything, like "reserved" or similar? This way, the teacher can tick the boxes on the 
papers before scan (if the boxes are hidden, the only way to control them is the manual data capture window).

04/21/2012 09:29 pm - Pieter  Van den Hombergh
Alexis Bienvenüe wrote:
> > hidden tick-box in the separate answer sheet
> 
> Maybe not hidden but with some text to say the students not to tick anything, like "reserved" or similar? This way, the teacher can tick the boxes on 
the papers before scan (if the boxes are hidden, the only way to control them is the manual data capture window).

My 'hidden' is a misnomer. If you render the boxes in <pre>\color{white}</pre> the students will not see them and still could be considered by AMC. 
rendering them white is a task the user (as in the exam author) could do. If would help if they where 'rendered' outside the normal writing area, like the 
margin. Maybe a combination of ideas is best.

04/23/2012 10:26 pm - Alexis Bienvenüe
- Status changed from In Progress to Feedback

Please test @\AMCOpen@ (see documentation _5.4.11 Open Questions_).
If you want to mark the open question on the paper itself before scanning, you can use
<pre>
\begin{question}{open}
  Define \emph{inflation}.
  \AMCOpen{lines=5}{\wrongchoice[W]{w}\scoring{0}\wrongchoice[P]{p}\scoring{1}\correctchoice[C]{c}\scoring{2}}
\end{question}
</pre>
If you need invisible boxes to tick only with manual data capture, add the following options to the first argument of @\AMCOpen@:
<pre>
backgroundcol=white,foregroundcol=white,scan=false
</pre>

04/24/2012 04:32 pm - red sea
and you can do it by:
add this code :

@%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% command to make choices (0 to 5 points) for teacher grading
\newcommand{\teachergrading}{\scoring{auto=0}{
\def\AMCbeginAnswer{}
\def\AMCendAnswer{}
\def\AMCanswer##1##2{##1 ##2 \hspace{1em}}
\fbox{
teacher only
\begin{choicescustom}[o]
\wrongchoice[0]{0}
\wrongchoice[1]{1}
\wrongchoice[2]{2}
\wrongchoice[3]{3}
\wrongchoice[4]{4}
\correctchoice[5]{5}
      \end{choicescustom}}
}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%@

then but this code any where:

@\begin{question}{ts1}
text her

\noindent\fbox{\begin{minipage}{.95\linewidth}~\vspace*{5cm}\end{minipage}}

\teachergrading
\end{question}@

thanks for Alexis

04/24/2012 07:58 pm - Pieter  Van den Hombergh
- File output.pdf added

Alexis Bienvenüe wrote:
> Please test @\AMCOpen@ (see documentation _5.4.11 Open Questions_).
> If you want to mark the open question on the paper itself before scanning, you can use
> [...]
> If you need invisible boxes to tick only with manual data capture, add the following options to the first argument of @\AMCOpen@:
> [...]

It sort of works. The kind of questions I have in mind are one word (or number) and could fit one short line.
In the exam I want to use it for I have 60 questions and and with this solution the answer 'real estate'is so big that I need more then one sheet (or 
double sided, which is tricky when scanning) per candidate,

Also it would very helpful if the answer could be printed visibly in the solutions document, because the questions are randomized.

If I use a separate answer  sheet, *no* space is reserved between the normal question. This is an omission. In these exams I allow the students to write 
on the exam papers, and they can use it as their 
tentative answer sheet, where they copy the correct answer to the separate answer sheet.

See example answer sheet ( invisible tick boxes) attached. 
I updated one of the questions to your proposal which is easily recognisable.

04/24/2012 08:04 pm - Pieter  Van den Hombergh
I experimented with the key _lineheight_. a value of zero without enclosing box could do the trick, if I also could reduce the post answer vertical white 
space.

For my purpose it would be nice to have a \ifAnswer macror, which I could use to render the {short} answer as hint for the corrector in the solution 
mode.

04/24/2012 08:09 pm - Pieter  Van den Hombergh
Pieter  Van den Hombergh wrote:
> I experimented with the key _lineheight_. a value of zero without enclosing box could do the trick, if I also could reduce the post answer vertical white 
space.
> 
> For my purpose it would be nice to have a \ifAnswer macror, which I could use to render the {short} answer as hint for the corrector in the solution 
mode.

Looking at the latex code (in the doc) a parameter openboxwidth, default .95\linewidth and a boolean to box the short answer will also help.

04/24/2012 08:15 pm - Pieter  Van den Hombergh
What happens if the student make the area near box C black. Could it be abused as a trick to cheat?

04/24/2012 09:03 pm - Alexis Bienvenüe
> For my purpose it would be nice to have a \ifAnswer macror, which I could use to render the {short} answer as hint for the corrector in the solution 
mode.

How will you correct these tests? Will you look at a corrected answer sheet from the same page each time you correct a page? I'm afraid it can be time 
consuming. Do you think it would be ok to write a hint for the corrector just before/after the boxes that will be printed on the papers (a hint to remember 
which question it is, not to remember what is the answer), and then correct the papers _on_ the papers themselves before scanning? 

> What happens if the student make the area near box C black. Could it be abused as a trick to cheat?

If you use only manual data capture to mark open questions, add option @scan=false@ to AMCOpen so that no data capture will be made for this 
question.

07/11/2025 3/9



04/24/2012 09:23 pm - Alexis Bienvenüe
Added _lineup_ option in revision r1029. Is the following more acceptable? Note that the mark is only 0 or 1, only one box is necessary.
<pre>
\begin{question}{Yaounde}
  What is the capital city of Cameroon?
  \AMCOpen{lineup=true,hspace=.5mm,Treserved=Cam}{\wrongchoice[P]{p}\scoring{1}\correctchoice[C]{c}\scoring{2}}
\end{question}
</pre>

04/24/2012 11:15 pm - Pieter  Van den Hombergh
- File output.pdf added

Thank you for the effort, but:

In the separate answer sheet it looks a lot better although still a bit heigh. The vertical spacing is still a bit big. If all the other 14 open questions where 
of same height, the 60 questions would not fit on a page anymore. And I've squeezed hard last time I prepared this exam.

I assume *Treserved* is some text that is reserved for the solution sheet. As in Treserved=yaounde if you want yaounde in the solution sheet.
I would like to see this text *only* on the solution sheet. Now it is on the answer sheet as well. I do _not_ want all my students pass with flying colours 
;-)).

See attached answer sheet.

In the question pages there still is no area to write the tentative answer (the answer the student writes while working through the questions).

04/24/2012 11:17 pm - Pieter  Van den Hombergh
Pieter  Van den Hombergh wrote:
> Thank you for the effort, but:
> 
> In the separate answer sheet it looks a lot better although still a bit heigh. The vertical spacing is still a bit big. If all the other 14 open questions where 
of same height, the 60 questions would not fit on a page anymore. And I've squeezed hard last time I prepared this exam.
> 
> I assume *Treserved* is some text that is reserved for the solution sheet. As in Treserved=yaounde if you want yaounde in the solution sheet.
> I would like to see this text *only* on the solution sheet. Now it is on the answer sheet as well. I do _not_ want all my students pass with flying colours 
;-)).
> 
> See attached answer sheet.
> 
> In the question pages there still is no area to write the tentative answer (the answer the student writes while working through the questions).

Maybe you can put the reserved word in the margin as in \marginpar{} on the outer nearest margin. That would suffice for the corrector I think.

04/24/2012 11:37 pm - Alexis Bienvenüe
> I would like to see this text only on the solution sheet.

Two solutions to correct the paper:
# you use @Treserved=cam@, so that you see (and the student also sees) that question 31 is the question about Cameroon. This allows to see quickly 
if the answer is correct or not, so to tick the right box.
# you write the answer on the corrected version of the paper only (not yet possible, as you stated).

I think solution 1 is faster, because when correcting you only have to look at one page at the same time. You see the student wrote Honolulu beside 
"Cam" question, so you don't give points. Using solution 2, you have to switch your eyes from completed answer sheet to corrected answer sheet and 
back for each question.

That's also why I think correcting _on_ the paper is faster than correcting on the screen with manual data capture: you don't have to switch from one 
place to the other for each question to correct.

Anyway I will also try to add a correction hint feature.

> In the question pages there still is no area to write the tentative answer

Yes I forgot that point. Perhaps you can redefine @\AMCotextGoto@?
<pre>
\def\AMCotextGoto{\par\dotfill\par{\bf\emph{Please write the answer on the separate answer sheet.}}}
</pre>

> The vertical spacing is still a bit big

Yes: the boxes makes the line height greater. Can't you gain a little vertical space reducing the space between boxes from student number, removing 
"Studentnummer", reducing some other vertical spaces, or reducing a little the boxes size?

04/25/2012 12:02 am - Alexis Bienvenüe
> I would like to see this text only on the solution sheet.

Since revision r1031, you can use the @answer=Yaounde@ option in AMCOpen. However, this will only be used in corrected answer sheet, not in 
annotated answer sheets...

04/25/2012 08:42 am - Alexis Bienvenüe
I also added in revsision r1032 the @boxmargin@ option to @\AMCOpen@, that you can use to reduce the margin around boxes for open questions 
(default value is @3ex@).
Perhaps you can also reduce a little the @\AMCformVSpace@ length (default is @1.2ex@) to gain extra vertical space in the separate answer sheet.

04/25/2012 11:02 am - Pieter  Van den Hombergh
Alexis Bienvenüe wrote:
> > For my purpose it would be nice to have a \ifAnswer macror, which I could use to render the {short} answer as hint for the corrector in the solution 
mode.
> 
> How will you correct these tests? Will you look at a corrected answer sheet from the same page each time you correct a page? I'm afraid it can be 
time consuming. Do you think it would be ok to write a hint for the corrector just before/after the boxes that will be printed on the papers (a hint to 
remember which question it is, not to remember what is the answer), and then correct the papers _on_ the papers themselves before scanning? 
> 
> > What happens if the student make the area near box C black. Could it be abused as a trick to cheat?
> 
> If you use only manual data capture to mark open questions, add option @scan=false@ to AMCOpen so that no data capture will be made for this 
question.
You mean data capture as in process scanned paper; Checking boxes in the GUI while correcting will still work? Perfect in that case.

04/25/2012 11:05 am - Pieter  Van den Hombergh
Alexis Bienvenüe wrote:
> I also added in revsision r1032 the @boxmargin@ option to @\AMCOpen@, that you can use to reduce the margin around boxes for open questions 
(default value is @3ex@).
> Perhaps you can also reduce a little the @\AMCformVSpace@ length (default is @1.2ex@) to gain extra vertical space in the separate answer 
sheet.

I tried setting the length but has no visible effect. I even tried -1.2ex.

04/25/2012 11:06 am - Alexis Bienvenüe
> You mean data capture as in process scanned paper; Checking boxes in the GUI while correcting will still work?

Yes, that's it (with @scan=false@).

I added some other options for @\AMCOpen@ in revision r1033. If you want to keep the same sizes as with revision r1032, please use 
@boxframerule=0pt@.

04/25/2012 11:23 am - Alexis Bienvenüe
> I tried setting the length but has no visible effect. I even tried -1.2ex.

@\AMCformVSpace=0pt@ works for me (I can see a difference on the answer sheet). Did you try this command?

04/25/2012 11:24 am - Pieter  Van den Hombergh
- File output-quest.pdf added

- File output-sol.pdf added

Pieter  Van den Hombergh wrote:
> Alexis Bienvenüe wrote:
> > I also added in revsision r1032 the @boxmargin@ option to @\AMCOpen@, that you can use to reduce the margin around boxes for open 
questions (default value is @3ex@).
> > Perhaps you can also reduce a little the @\AMCformVSpace@ length (default is @1.2ex@) to gain extra vertical space in the separate answer 
sheet.
> 
> I tried setting the length but has no visible effect. I even tried -1.2ex.

I have tweeked stuff a bit and this is almost what we like.
See attached answer sheet and solution-answersheet.

Is it possible to set defaults for the \AMCOpen question, so that one can set most keys to some sensible value and still have the opportunity
to set the Treserved and answer keys specific to a question.

Now I have in the cameroon example
<pre>
\begin{question}{captials-cameroon}
  What is the capital city of Cameroon?
  \AMCOpen{lineup=true,hspace=.5mm,boxmargin=.5ex,Treserved=Cam,answer=Yaounde,
    backgroundcol=white,foregroundcol=white,scan=false}{\wrongchoice[\color{white}P]{p}\scoring{1}\correctchoice[\color{white}C]{c}\scoring{2}}
\end{question}
</pre>

where a nicer user interface for the question author could be in the preamble or something like that
<pre>
\AMCOpenset{lineup=true,hspace=.5mm,boxmargin=.5ex,Treserved=Cam,answer=Yaounde,
    backgroundcol=white,foregroundcol=white,scan=false}
\newcommand\AMCOpenScoreBox{\wrongchoice[\color{white}P]{p}\scoring{1}\correctchoice[\color{white}C]{c}\scoring{2}}
</pre>

and 
<pre>
\begin{question}{captials-cameroon}
  What is the capital city of Cameroon?
  \AMCOpen{Treserved=Cam,answer=Yaounde,
    }{\AMCOpenScoreBox}
\end{question}
</pre>

04/25/2012 11:31 am - Alexis Bienvenüe
> Is it possible to set defaults for the \AMCOpen question

Yes, with @\AMCopenOpts@
<pre>
\AMCopenOpts{lineup=true,hspace=.5mm,boxmargin=.5ex,
    backgroundcol=white,foregroundcol=white,scan=false}
</pre>

04/25/2012 11:46 am - Pieter  Van den Hombergh
Alexis Bienvenüe wrote:
> > Is it possible to set defaults for the \AMCOpen question
> 
> Yes, with @\AMCopenOpts@
> [...]

Perfect.

Now the fun department.
I would like to contribute to a set of example exam questions in which all features are shown.
We need silly questions in which we do not leak information about real exams but can showcase and promote AMC to a larger audience.

This would be content for the directory tree @doc/modeles/..@.
Do you/would you like to apply some naming convention?

04/25/2012 12:02 pm - Alexis Bienvenüe
> I would like to contribute to a set of example exam questions in which all features are shown.

Excellent!

> Do you/would you like to apply some naming convention?

Hum... I did not think about it yet, so use your own.

Perhaps we can split this set of examples:
* one of a few ones would be shipped with AMC (perhaps with a link to be able to retrieve the others),
* more specialized ones can be published somewhere, for example in the wiki. A model is a tgz file that the user can place in its 
@$HOME/.AMC.d/Models@ directory.

04/25/2012 01:28 pm - Pieter  Van den Hombergh
I have converted my short open questions.
Most of them are easily converted, simply reqrite my \shortanswer macro in terms of \AMCOpen etc.

One question is about 34 characters long, forcing the boxes into the next line, but then in the solution rendering only.
The message I get in the GUI is 2 errors during LaTeX compiling (solution)
Improper alphabetic constant.
Improper alphabetic constant.

Two times, because I render two exams (Dutch and German) in this run.
Maybe you have a tip. Is it possible to truncate a text to say .5\linewidth?

04/25/2012 01:46 pm - Alexis Bienvenüe
> Improper alphabetic constant.

I don't know what this comes from... Please send me your source file if you want me to have a look.

04/25/2012 03:06 pm - Pieter  Van den Hombergh
Pieter  Van den Hombergh wrote:
> I have converted my short open questions.
> Most of them are easily converted, simply reqrite my \shortanswer macro in terms of \AMCOpen etc.
> 
> One question is about 34 characters long, forcing the boxes into the next line, but then in the solution rendering only.
> The message I get in the GUI is 2 errors during LaTeX compiling (solution)
> Improper alphabetic constant.
> Improper alphabetic constant.
> 
> Two times, because I render two exams (Dutch and German) in this run.
> Maybe you have a tip. Is it possible to truncate a text to say .5\linewidth?
Using the package *truncate*, which comes with Tex-Live and is installed by default allows me to put the text and boxes in one line.
So that helps me keeping all questions on one answer sheet.

I will first try to reproduce the problem with a innocent question file, which I then will share.
Just a moment.

Moment is over. The problem has nothing to do with AMC. I tried to had a perl-like regular expression as answer in one of the questions.
These are hard to get right. 
I now have a working exam with 60 questions of which 15 are of the type shortopen

04/27/2012 10:36 am - Alexis Bienvenüe
- Status changed from Feedback to Resolved

05/10/2012 06:03 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed

Files
output.pdf 73.9 kB 04/24/2012 Pieter  Van den Hombergh
output.pdf 74.7 kB 04/24/2012 Pieter  Van den Hombergh
output-quest.pdf 74.6 kB 04/25/2012 Pieter  Van den Hombergh
output-sol.pdf 59.9 kB 04/25/2012 Pieter  Van den Hombergh
